Skip to main content
`Ctrl`+`K`

# MFNMonitorDefault

Print the error estimate of the current approximation at each iteration of the matrix function solver.

## Synopsis

    #include "slepcmfn.h"
    PetscErrorCode MFNMonitorDefault(MFN mfn,PetscInt its,PetscReal errest,PetscViewerAndFormat *vf)

Collective

## Input Parameters

- mfn - the matrix function solver context

- its - iteration number

- errest - error estimate

- vf - viewer and format for monitoring

## Options Database Key

- -mfn_monitor - activates `MFNMonitorDefault()`

## See Also

MFN: Matrix Function, `MFNMonitorSet()`

## Level

intermediate

## Location

src/mfn/interface/mfnmon.c

Index of all MFN routines Table of Contents for all manual pages Index of all manual pages